package com.example.venue_reservation_service.mapper;

import com.example.venue_reservation_service.domain.VeMessage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
* @author 31586
* @description 针对表【venue_message】的数据库操作Mapper
* @createDate 2025-06-17 15:36:33
* @Entity generator.domain.VeMessage
*/
@Mapper
public interface VeMessageMapper extends BaseMapper<VeMessage> {
    @Select("SELECT * FROM venue_message WHERE session_id = #{sessionId} ORDER BY created_at ASC")
    List<VeMessage> selectMessagesBySessionId(@Param("sessionId") Integer sessionId);

}




