package com.example.venue_reservation_service.mapper;

import com.example.venue_reservation_service.domain.VeSession;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.*;

import java.time.LocalDateTime;
import java.util.List;

/**
* @author 31586
* @description 针对表【venue_session】的数据库操作Mapper
* @createDate 2025-06-17 15:36:33
* @Entity generator.domain.VeSession
*/
@Mapper
public interface VeSessionMapper extends BaseMapper<VeSession> {


    @Select("SELECT * FROM venue_session WHERE session_token = #{sessionToken}")
    VeSession selectBySessionToken(@Param("sessionToken") String sessionToken);
}




